Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action
Interface SoapUIActionMapping<T extends ModelItem>

All Known Implementing Classes:
  DefaultActionMapping, StandaloneActionMapping

    public interface SoapUIActionMapping<T extends ModelItem>

The mapping of a SoapUIAction into a SoapUIActionGroup

Author:
  ole.matzura

Method Summary
`SoapUIAction<T>` | `getAction()`
`java.lang.String` | `getActionId()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIconPath()`
`java.lang.String` | `getKeyStroke()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParam()`
`boolean` | `isDefault()`
`boolean` | `isEnabled()`
`SoapUIActionMapping<T>` | `setDescription(java.lang.String description)`
`SoapUIActionMapping<T>` | `setEnabled(boolean enabled)`
`SoapUIActionMapping<T>` | `setName(java.lang.String name)`
`SoapUIActionMapping<T>` | `setParam(java.lang.Object param)`

Method Detail

### getAction

    SoapUIAction<T> getAction()

### getActionId

    java.lang.String getActionId()

### getName

    java.lang.String getName()

### getDescription

    java.lang.String getDescription()

### isDefault

    boolean isDefault()

### isEnabled

    boolean isEnabled()

### getIconPath

    java.lang.String getIconPath()

### getKeyStroke

    java.lang.String getKeyStroke()

### getParam

    java.lang.Object getParam()

### setName

    SoapUIActionMapping<T> setName(java.lang.String name)

### setDescription

    SoapUIActionMapping<T> setDescription(java.lang.String description)

### setParam

    SoapUIActionMapping<T> setParam(java.lang.Object param)

### setEnabled

    SoapUIActionMapping<T> setEnabled(boolean enabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.